* {
  padding: 0;
  box-sizing: border-box; 
}

body {
    margin: 2rem;
    background: #888;
}

.top-nav {
    margin-top: 50px;
    margin-bottom: 50px;
    margin-right:auto;
    margin-left:auto;
    width: 60%;
}

input {
    outline-style: none;
    padding: 20px;
    width: 100%;
}

#myInput {
    margin: 0 auto;
    display: inline-block;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    
}

.gallery__img:hover  {
    transition: transform 0.3s;
    transform: scale(1.1);
}

.container {
    display: flex;
    flex-direction: column;
    max-width: 1024px;
    margin: auto;
}
     
.gallery {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(auto-fit, 200px);
    grid-gap: 25px;
}

/* Previous Layout 

/*.gallery__item--1 {
  grid-column-start: 1;
  grid-column-end: 3;
  grid-row-start: 1;
  grid-row-end: 3;


}

.gallery__item--2 {
  grid-column-start: 3;
  grid-column-end: 5;
  grid-row-start: 1;
  grid-row-end: 3;
}

.gallery__item--3 {
  grid-column-start: 5;
  grid-column-end: 7;
  grid-row-start: 1;
  grid-row-end: 3;

}

.gallery__item--4 {
  grid-column-start: 7;
  grid-column-end: 9;
  grid-row-start: 1;
  grid-row-end: 3;

}

.gallery__item--5 {
  grid-column-start: 1;
  grid-column-end: 3;
  grid-row-start: 3;
  grid-row-end: 5;
}

.gallery__item--6 {
  grid-column-start: 3;
  grid-column-end: 5;
  grid-row-start: 3;
  grid-row-end: 5;
}

.gallery__item--7 {
    grid-column-start: 5;
    grid-column-end: 7;
    grid-row-start: 3;
    grid-row-end: 5;
  }
  
.gallery__item--8 {
    grid-column-start: 7;
    grid-column-end: 9;
    grid-row-start: 3;
    grid-row-end: 5;

 }
  
.gallery__item--9 {
    grid-column-start: 1;
    grid-column-end: 3;
    grid-row-start: 5;
    grid-row-end: 7;
}
  
.gallery__item--10 {
    grid-column-start: 3;
    grid-column-end: 5;
    grid-row-start: 5;
    grid-row-end: 7;

}
  
.gallery__item--11 {
    grid-column-start: 5;
    grid-column-end: 7;
    grid-row-start: 5;
    grid-row-end: 7;

}
  
.gallery__item--12 {
    grid-column-start: 7;
    grid-column-end: 9;
    grid-row-start: 5;
    grid-row-end: 7;

}*/





